Search found 371 matches

by soliday
19 Apr 2010, 09:13
Forum: Installation
Topic: installing SDDS 2.8
Replies: 7
Views: 81230

Re: installing SDDS 2.8

I just tried the 32bit version and I see the same problem you see. I will look into it.

There probably will not be a binary release of SDDS 2.8 because the programs were not changed much. Just a few library calls that elegant uses.
by soliday
16 Apr 2010, 09:54
Forum: Installation
Topic: installing SDDS 2.8
Replies: 7
Views: 81230

Re: installing SDDS 2.8

sddssortcolumn depends on the rules in epics/extensions/configure, so you would have to do a 'make' there. elegant depends on the rules in oag/apps/configure. It is all a little hocus pocus to me since I don't quite understand how the rules work. I took your files and ran them on RHEL5 with elegant ...
by soliday
15 Apr 2010, 13:59
Forum: Installation
Topic: install sddstoolkit at RHEL 4
Replies: 2
Views: 30386

Re: install sddstoolkit at RHEL 4

I'm look into fixing this for the next release. As for installing the one you have, the symlink was the correct thing to do. Next when you run rpm you have to add the -nodeps option.
by soliday
15 Apr 2010, 11:48
Forum: Installation
Topic: installing SDDS 2.8
Replies: 7
Views: 81230

Re: installing SDDS 2.8

sddssortcolumn.c is not new but it is not used a lot either. I just tested building it on RHEL5 64bit and it worked. rose> uname -a Linux rose.aps.anl.gov 2.6.18-164.el5 #1 SMP Tue Aug 18 15:51:48 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux rose> make make -C O.linux-x86_64 -f ../Makefile TOP=../../../....
by soliday
25 Mar 2010, 12:58
Forum: Installation
Topic: sdds scripts not working in windows version
Replies: 4
Views: 50340

Re: sdds scripts not working in windows version

Well this is what I see when I open your script in xemacs: sddsAnalyzeBeam $1 $1.tmp^M ^M sddsprocess $1.tmp -noWarnings \^M "-define=col,E0,pAverage 510.99906e-6 *,units=GeV" \^M "-define=col,Ss,St 2.99792458E11 *,units=mm" \^M "-convertUnits=col,en?,um,m,1e6" \^M "-convertUnits=col,Sdelta,%, ,1e2"...
by soliday
25 Mar 2010, 09:13
Forum: Installation
Topic: sdds scripts not working in windows version
Replies: 4
Views: 50340

Re: sdds scripts not working in windows version

Can you send me an example script that doesn't work. I'll try it on my Windows computer to see what the problem is. Also send me the error message you get.
by soliday
17 Feb 2010, 14:11
Forum: Installation
Topic: Upgrade Elegant and SDDS Dec. 2009 version on Mac OS 10.6
Replies: 4
Views: 50102

Re: Upgrade Elegant and SDDS Dec. 2009 version on Mac OS 10.6

Here is my output from "otool -L elegant" elegant: /usr/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.3) /sw/lib/libreadline.5.dylib (compatibility version 5.0.0, current version 5.0.0) /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 111.1.4) /usr/lib/li...
by soliday
03 Feb 2010, 10:43
Forum: Installation
Topic: Elegant & SDDS on Mac OS X 10.5
Replies: 13
Views: 278170

Re: Elegant & SDDS on Mac OS X 10.5

I think you downloaded the wrong version of elegant. Does your computer have an Intel CPU or an older PPC cpu? We offer elegant for both: darwin-x86_elegant.tar.gz is for Intel CPU darwin-ppc_elegnat.tar.gz is for PPC CPU I just tried running the PPC version on an Intel machine and got the same erro...
by soliday
04 Jan 2010, 15:05
Forum: Installation
Topic: SDDS 3D plotter
Replies: 2
Views: 30482

Re: SDDS 3D plotter

At the moment my laptop is frozen solid because I forgot it in the car. But once it thaws I will be able to test it with the latest Java release. But my first guess would be to make sure you installed Java 3D. You can get it from: https://java3d.dev.java.net/binary-builds.html
by soliday
11 Sep 2009, 09:55
Forum: General
Topic: SDDS file locking
Replies: 8
Views: 3076

Re: SDDS file locking

I forwarded your question onto someone you should know the answer to this. But it looks to me like you need to edit elegant/Makefile.OAG and change two things:

Comment out "USER_MPI_FLAGS += -DSDDS_MPI_IO=1"

Link to SDDS1 instead of SDDSmpi by changing USR_LIBS